package com.huimv.getdata.service.impl;


import com.huimv.getdata.entity.center.CaiGouJinE;
import com.huimv.getdata.entity.center.DangQianYvQi;
import com.huimv.getdata.entity.center.XiaoShouE;
import com.huimv.getdata.entity.center.YangMaoZhiCaiGouJinE;
import com.huimv.getdata.entity.voucher.ChanPinShouRu;
import com.huimv.getdata.entity.voucher.ErpVoucher;
import com.huimv.getdata.entity.voucher.JingLiRunQuShi;
import com.huimv.getdata.entity.voucher.LinJinHuanKuanQi;
import com.huimv.getdata.mapper.ErpCenterMapper;
import com.huimv.getdata.mapper.ErpVoucherMapper;
import com.huimv.getdata.service.IErpCenterService;
import com.huimv.getdata.service.IErpVoucherService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author author
 * @since 2025-01-03
 */
@Service
public class ErpCenterServiceImpl implements IErpCenterService {

    @Autowired
    private ErpCenterMapper erpCenterMapper;

    @Override
    public List<XiaoShouE> getXiaoShouE(String date) {
        return erpCenterMapper.getXiaoShouE(date);
    }

    @Override
    public List<DangQianYvQi> getDangQianYvQi(String date) {
        return erpCenterMapper.getDangQianYvQi(date);
    }

    @Override
    public List<CaiGouJinE> getCaiGouJinE(String date) {
        return erpCenterMapper.getCaiGouJinE(date);
    }

    @Override
    public List<YangMaoZhiCaiGouJinE> getYangMaoZhiCaiGouJinE(String date) {
        return erpCenterMapper.getYangMaoZhiCaiGouJinE(date);
    }

    @Override
    public Map getWeightTest(String date) {
        return erpCenterMapper.getAll();
    }
}
